// Copyright 2016 the V8 project authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// This file holds the expected results for the instructions tested by
// test-simulator-arm64.

#ifndef V8_TEST_SIMULATOR_TRACES_ARM64_H_
#define V8_TEST_SIMULATOR_TRACES_ARM64_H_

#include <stdint.h>

// ---------------------------------------------------------------------
// Simulator test trace output files.
// ---------------------------------------------------------------------

#include "test/cctest/traces-arm64/sim-abs-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-abs-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-add-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addhn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addhn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addhn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addhn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addhn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addhn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addp-scalar-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addv-b-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addv-b-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addv-h-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addv-h-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-addv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-and--16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-and--8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bic-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bic-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bif-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bif-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bit-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bit-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bsl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-bsl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cls-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cls-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cls-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cls-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cls-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cls-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-clz-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-clz-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-clz-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-clz-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-clz-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-clz-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmeq-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmge-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmgt-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhi-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmhs-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmle-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmlt-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cmtst-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cnt-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-cnt-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-dup-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-eor-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-eor-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabd-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabs-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabs-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabs-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabs-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fabs-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facge-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facge-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facge-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facge-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facge-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facgt-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facgt-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facgt-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facgt-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-facgt-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fadd-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fadd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-faddp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-faddp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-faddp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-faddp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-faddp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmeq-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmge-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmgt-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmle-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmle-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmle-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmle-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmle-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmlt-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmlt-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmlt-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmlt-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmlt-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmp-dz-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcmp-sz-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvt-ds-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvt-sd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtas-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtau-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtms-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtmu-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtns-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtnu-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtps-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtps-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtps-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtps-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtps-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtpu-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtpu-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtpu-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtpu-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtpu-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtxn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtxn-scalar-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtxn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzs-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-wd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-ws-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-xd-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fcvtzu-xs-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fdiv-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fdiv-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fdiv-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fdiv-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fdiv-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmadd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmax-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmax-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmax-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmax-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmax-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnm-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnm-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnm-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnm-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnm-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnmp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnmp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnmp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnmp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnmp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxnmv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmaxv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmin-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmin-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmin-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmin-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmin-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnm-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnm-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnm-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnm-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnm-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnmp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnmp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnmp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnmp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnmp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminnmv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fminv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-2d-2d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-d-d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmla-s-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-2d-2d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-d-d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmls-s-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmov-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmov-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmsub-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmsub-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-2d-2d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-d-d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-s-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmul-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-2d-2d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-d-d-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-s-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fmulx-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fneg-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fneg-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fneg-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fneg-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fneg-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fnmadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fnmadd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fnmsub-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fnmsub-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fnmul-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fnmul-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpe-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpe-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpe-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpe-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpe-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecps-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecps-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecps-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecps-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecps-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpx-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frecpx-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinta-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinta-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinta-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinta-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinta-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinti-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinti-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinti-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinti-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frinti-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintm-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintm-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintm-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintm-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintm-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintn-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintn-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintn-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintn-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintp-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintp-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintx-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintx-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintx-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintx-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintx-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintz-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintz-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintz-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintz-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frintz-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrte-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrte-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrte-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrte-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrte-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrts-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrts-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrts-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrts-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-frsqrts-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsqrt-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsqrt-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsqrt-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsqrt-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsqrt-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsub-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsub-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsub-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsub-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-fsub-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ins-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ins-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ins-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ins-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-4h-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-8h-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mla-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-4h-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-8h-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mls-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-4h-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-8h-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-mul-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-neg-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-not--16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-not--8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-orn-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-orn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-orr-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-orr-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-pmul-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-pmul-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-pmull-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-pmull2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-raddhn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-raddhn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-raddhn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-raddhn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-raddhn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-raddhn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rbit-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rbit-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev16-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev16-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev32-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev32-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev32-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev32-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev64-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev64-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev64-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev64-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev64-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rev64-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rshrn-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rshrn-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rshrn-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rshrn2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rshrn2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rshrn2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rsubhn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rsubhn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rsubhn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rsubhn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rsubhn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-rsubhn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saba-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saba-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saba-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saba-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saba-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saba-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabal-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabal-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabal-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabal2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabal2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabal2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabdl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabdl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabdl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabdl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabdl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sabdl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sadalp-1d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sadalp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sadalp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sadalp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sadalp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sadalp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlp-1d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlv-d-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlv-h-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlv-h-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlv-s-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddlv-s-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddw-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddw-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddw-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddw2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddw2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-saddw2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-scvtf-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-scvtf-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-scvtf-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-scvtf-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-scvtf-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shl-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shll-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shll-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shll-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shll2-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shll2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shll2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shrn-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shrn-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shrn-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shrn2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shrn2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shrn2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shsub-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shsub-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shsub-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shsub-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shsub-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-shsub-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sli-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smax-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smax-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smax-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smax-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smax-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smax-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxp-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxp-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxv-b-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxv-b-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxv-h-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxv-h-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smaxv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smin-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smin-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smin-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smin-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smin-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smin-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminp-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminp-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminv-b-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminv-b-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminv-h-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminv-h-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sminv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlal2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smlsl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-smull2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqabs-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqadd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-d-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-s-h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlal2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-d-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-s-h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmlsl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-4h-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-8h-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-h-h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-s-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmulh-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-d-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-s-h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqdmull2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqneg-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-2s-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-4h-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-4s-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-8h-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-h-h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-s-s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrdmulh-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshl-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrn2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqrshrun2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshl-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshlu-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrn2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqshrun2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqsub-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sqxtun2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srhadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srhadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srhadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srhadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srhadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srhadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sri-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srshr-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-srsra-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshll-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshll-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshll-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshll2-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshll2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshll2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sshr-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssra-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubw-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubw-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubw-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubw2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubw2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ssubw2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-sub-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-subhn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-subhn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-subhn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-subhn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-subhn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-subhn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-suqadd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn1-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-trn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaba-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaba-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaba-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaba-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaba-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaba-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabal-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabal-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabal-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabal2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabal2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabal2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabdl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabdl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabdl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabdl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabdl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uabdl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uadalp-1d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uadalp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uadalp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uadalp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uadalp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uadalp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlp-1d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlp-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlv-d-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlv-h-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlv-h-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlv-s-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddlv-s-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddw-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddw-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddw-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddw2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddw2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uaddw2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ucvtf-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ucvtf-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ucvtf-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ucvtf-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ucvtf-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhsub-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhsub-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhsub-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhsub-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhsub-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uhsub-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umax-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umax-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umax-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umax-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umax-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umax-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxp-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxp-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxv-b-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxv-b-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxv-h-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxv-h-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umaxv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umin-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umin-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umin-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umin-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umin-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umin-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminp-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminp-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminp-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminp-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminp-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminp-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminv-b-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminv-b-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminv-h-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminv-h-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uminv-s-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlal2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umlsl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull-2d-2s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull-4s-4h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull2-2d-4s-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull2-4s-8h-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-umull2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshl-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqrshrn2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshl-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn-b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn-h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn-s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn2-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqshrn2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqsub-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uqxtn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urecpe-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urecpe-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urhadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urhadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urhadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urhadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urhadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urhadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-urshr-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursqrte-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursqrte-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ursra-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushl-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushll-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushll-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushll-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushll2-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushll2-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushll2-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-ushr-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usqadd-s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-16b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-2d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-2s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-4h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-4s-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-8b-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-8h-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usra-d-2opimm-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubl-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubl-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubl-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubl2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubl2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubl2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubw-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubw-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubw-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubw2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubw2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-usubw2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp1-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-uzp2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-xtn-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-xtn-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-xtn-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-xtn2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-xtn2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-xtn2-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip1-8h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-16b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-2d-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-2s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-4h-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-4s-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-8b-trace-arm64.h"
#include "test/cctest/traces-arm64/sim-zip2-8h-trace-arm64.h"

#endif  // V8_TEST_SIMULATOR_TRACES_ARM64_H_
